Name: kmobiletools
Version: 0.4.3.1
Release: alt1

Summary: KMobileTools is a nice KDE-based application that allows to control mobile phones with your PC.
License: GPL
Group: Communications
Url: http://kmobiletools.berlios.de/
Packager: Ilya Mashkin <oddity at altlinux dot ru>

Source0: %name-%version.tar.bz2
Source1: %name.mo
#Patch0: kmt_kde_3.2-1.patch
#Patch1: kmt_kde_3.2-2.patch
# Automatically added by buildreq on Wed Mar 30 2005
BuildRequires: flex fontconfig freetype2 gcc-c++ gcc-g77 kde-settings kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libqt3-settings libstdc++-devel qt3-designer xml-utils xorg-x11-devel xorg-x11-libs zlib-devel

%description
KMobileTools (was QTMobileTools) is a nice KDE-based application that allows to control mobile phones with your PC.
It handles full SMS control, dialing calls, reading from phonebook, last dials, received and unanswered calls and phone 
status monitoring (battery and signal for now). It's based on a Motorola C350 mobile phone, but's also tested on some 
Nokia and Ericsson phones.

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1

%__subst 's,\.la,\.so,' configure

%build
%configure --disable-rpath
%make_build
%install
make DESTDIR=%buildroot install

#menu
%__mkdir_p %buildroot%_datadir/locale/ru/LC_MESSAGES
%__install -pD -m644 %SOURCE1 %buildroot%_datadir/locale/ru/LC_MESSAGES/

%__mkdir_p %buildroot%_menudir

freedesktop2menu.pl %name "Applications/Communications" \
    %buildroot/%_datadir/applnk/Utilities/%name.desktop \
    %buildroot/%_menudir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS ChangeLog README
%_bindir/%name
%_datadir/applnk/Utilities/%name.desktop
%_datadir/apps/%name/eventsrc
%_iconsdir/hicolor/*/apps/%name.png
#%_datadir/locale/ru/LC_MESSAGES/%name.mo
%_menudir/%name

%changelog
* Wed Mar 30 2005 Ilya Mashkin <oddity at altlinux dot ru> 0.4.3.1-alt1
- new version 0.4.3.1

* Wed Feb 02 2005 Ilya Mashkin <oddity at altlinux dot ru> 0.4.2-alt1
- new version, just little fixes

* Tue Jan 11 2005 Ilya Mashkin <oddity at altlinux dot ru> 0.4.1-alt1
- New Version 0.4.1
- Cleanup spec

* Thu Nov 02 2004 Dmitriy Porollo <spider@altlinux.ru> 0.4.0-alt1
- New release.
- Russian translation updated.

* Wed Sep 29 2004 Dmitriy Porollo <spider@altlinux.ru> 0.3.1-alt2
- Russian translate added (Thanks to Genix). 
- Build bugs fixed.
